1. Company Status Check
1.1. CheckCorpNum - Check a single case
GET
https://popbill-test.linkhub.co.kr/CloseDown
GET
https://popbill.linkhub.co.kr/CloseDown
- This API checks the company status of a single case.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| CN | string | - | Y | Business registration number to check |
Request Example
curl --request GET \
--url 'https://{domain}/CloseDown?CN={CN}' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| corpNum | string | 10 |
Business registration Number
10-digits except (‘-’)
|
|
| taxType | string | 2 |
Taxation type
nullunavailable to check
10general
20exempted
30simplified taxpayer
31simplified taxpayer with a tax invoice issuance duty
40nonprofit, government institution, or an organization certified with proper number
|
|
| typeDate | string | 10 |
Date of taxation type change
format : yyyy-MM-dd
|
|
| state | string | 1 |
Company status
nullunavailable to check
0unregistered business
1in business
2closed
3suspended
|
|
| stateDate | string | 10 |
Date of business suspension/closure
format : yyyyMMdd
|
|
| checkDate | string | 10 |
Confirmed date of status checking from the NTS
date of checking via POPBiLL system
format : yyyy-MM-dd
|
Response Example
{
"corpNum": "6798700433",
"typeDate": null,
"state": "1",
"stateDate": null,
"checkDate": "2025-10-20",
"taxType": "10"
}
1.2. CheckCorpNums - Check multiple cases
POST
https://popbill-test.linkhub.co.kr/CloseDown
POST
https://popbill.linkhub.co.kr/CloseDown
- This API checks the company status of multiple cases. (Maximum : 1,000 cases)
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Request Body
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| - | array | - | Y |
Business registration number to check
maximum : 1,000 cases
|
Request Example
curl --request POST \
--url 'https://{domain}/CloseDown' \
--header 'Authorization: Bearer {token}' \
--data '["6798700433"]'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| corpNum | string | 10 | Business registration Number | |
| taxType | string | 2 |
Taxation type
nullunavailable to check
10general
20exempted
30simplified taxpayer
31simplified taxpayer with a tax invoice issuance duty
40nonprofit, government institution, or an organization certified with proper number
|
|
| typeDate | string | 10 |
Date of taxation type change
format : yyyy-MM-dd
|
|
| state | string | 1 |
Company status
nullunavailable to check
0unregistered business
1in business
2closed
3suspended
|
|
| stateDate | string | 10 |
Date of business suspension/closure
format : yyyyMMdd
|
|
| checkDate | string | 10 |
Confirmed date of status checking from the NTS
date of checking via POPBiLL system
format : yyyy-MM-dd
|
Response Example
[
{
"corpNum": "6798700433",
"typeDate": null,
"state": "1",
"stateDate": null,
"checkDate": "2025-10-20",
"taxType": "10"
}
]
